;-| Button Remapping |-----------------------------------------------------
;[Remap]
;x = x
;y = y
;z = z
;a = a
;b = b
;c = c
;s = s
[Remap]
x = x
y = z
z = y
a = a
b = s
c = c
s = b

;-| Default Values |-------------------------------------------------------
[Defaults]
command.time = 15
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
;
[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

;-| Special Motions |------------------------------------------------------

[Command]
name = "skill4"
command = ~$D, F, $D, F, z
time = 30

[Command]
name = "skill3"
command = ~$F, U, z

[Command]
name = "skill2"
command = ~$F, D, DF, z

[Command]
name = "skill1"
command = ~$D, F, z

[Command]
name = "skill4"
command = ~$D, B, $D, B, z
time = 30

[Command]
name = "skill3"
command = ~$B, U, z

[Command]
name = "skill2"
command = ~$B, D, DB, z

[Command]
name = "skill1"
command = ~$D, B, z



[Command]
name = "2626buster"
command = ~$D, F, $D, F, y
time = 30

[Command]
name = "26buster"
command = ~$D, F, y

[Command]
name = "2626buster"
command = ~$D, B, $D, B, y
time = 30

[Command]
name = "62saber"
command = ~F, $D, x

[Command]
name = "62saber"
command = ~B, $D, x

[Command]
name = "26buster"
command = ~$D, B, y

[Command]
name = "2626buster"
command = ~$DB, B, $DB, B, y
time = 30

[Command]
name = "26buster"
command = ~$DB, B, y

[Command]
name = "2424buster"
command = ~$D, B, $D, B, y
time = 30

[Command]
name = "24buster"
command = ~$D, B, y

[Command]
name = "222y"
command = ~$D, D, y

[Command]
name = "omegabeam"
command = ~D,c
time = 30




;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "down"
command = D
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Statedef -1]

;---------------------------------------------------------------------------
;壁捕まり
[State -1, ]
type = ChangeState
value = 300
triggerall = var(59) = 0
triggerall = p2name != "iX"
triggerall = p4name != "iX"
triggerall = p2name != "Omega Zero"
triggerall = p4name != "Omega Zero"
triggerall = p2name != "Vile MMHX"
triggerall = p4name != "Vile MMHX"
triggerall = frontedgedist <= 1
triggerall = command = "holdfwd"
triggerall = statetype = A
triggerall = pos y <= -20
triggerall = pos y >= -180
triggerall = anim != 310
trigger1 = ctrl

;---------------------------------------------------------------------------
;2段ジャンプ
[State -1, Run Fwd]
type = ChangeState
value = 60
triggerall = palno!=6&&palno!=11
triggerall = var(59) = 0
trigger1 = command = "a"
triggerall = statetype = A
trigger1 = ctrl
triggerall = stateno != 300 && stateno != 420 && stateno != 470

triggerall = var(13) = 0

;---------------------------------------------------------------------------
;ジャンプ
[State -1, Run Fwd]
type = ChangeState
value = 50
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 400
trigger3 = stateno = 401
trigger4 = stateno = 402
trigger5 = stateno = 403
trigger6 = stateno = 404
trigger7 = stateno = 405
trigger8 = stateno = 406
trigger9 = stateno = 409
trigger10 = stateno = 430
trigger11 = stateno = 1520
trigger12 = stateno = 20
trigger13 = stateno = 100
;---------------------------------------------------------------------------
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 105
triggerall = palno=8||palno=12
triggerall = var(59) = 0
triggerall = command = "b"&&command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 400
trigger3 = stateno = 401
trigger4 = stateno = 402
trigger5 = stateno = 403
trigger6 = stateno = 404
trigger7 = stateno = 405
trigger8 = stateno = 406
trigger9 = stateno = 409
trigger10 = stateno = 430
trigger11 = stateno = 1520
trigger12 = stateno = 20
;---------------------------------------------------------------------------
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(59) = 0
triggerall = command = "FF" || command = "b"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 400
trigger3 = stateno = 401
trigger4 = stateno = 402
trigger5 = stateno = 403
trigger6 = stateno = 404
trigger7 = stateno = 405
trigger8 = stateno = 406
trigger9 = stateno = 409
trigger10 = stateno = 430
trigger11 = stateno = 1520
trigger12 = stateno = 20
;---------------------------------------------------------------------------
;壁セイバー
[State -1, ]
type = ChangeState
value = 470
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "62saber"
triggerall = stateno = 300 || stateno = 420 || stateno = 470
triggerall = time >= 1;animelem = 4,>0
trigger1 = ctrl
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 451
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "62saber"
triggerall = stateno != 300 && stateno != 420 && stateno != 470
triggerall = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 450
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "62saber"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 1450
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "skill4"
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 100

;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 1440
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "skill3"
triggerall = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 1430
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "skill3"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 100
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 1420
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "skill2"
triggerall = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 1410
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "skill2"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 100
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 1400
triggerall = var(59) = 0
triggerall = palno = 12
triggerall = command = "skill1"
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 100

;---------------------------------------------------------------------------
;エアダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 110
triggerall = var(59) = 0
triggerall = command = "FF" || command = "b"
triggerall = statetype = A
triggerall = var(13) = 0
triggerall = stateno != 300
trigger1 = ctrl
;---------------------------------------------------------------------------
;下突きｽﾞﾄﾞﾝ!
[State -1, ]
type = ChangeState
value = 1565
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = command = "holddown"
triggerall = command = "x"
triggerall = statetype = A
triggerall = stateno != 300 && stateno != 420 && stateno != 470
trigger1 = ctrl
;---------------------------------------------------------------------------
;壁セイバー
[State -1, ]
type = ChangeState
value = 420
triggerall = var(59) = 0
triggerall = palno = 5
triggerall = command = "y"
triggerall = stateno = 300 || stateno = 420 || stateno = 470
triggerall = time >= 1;animelem = 4,>0
trigger1 = ctrl
;---------------------------------------------------------------------------
;壁セイバー
[State -1, ]
type = ChangeState
value = 420
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = command = "x"
triggerall = stateno = 300 || stateno = 420 || stateno = 470
triggerall = time >= 1;animelem = 4,>0
trigger1 = ctrl
;---------------------------------------------------------------------------
;空中Zセイバー
[State -1, ]
type = ChangeState
value = 413
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = command = "holdup"
triggerall = command = "x"
triggerall = statetype = A
triggerall = stateno != 415
trigger1 = ctrl
;---------------------------------------------------------------------------
;空中Zセイバー
[State -1, ]
type = ChangeState
value = 410
triggerall = var(59) = 0
triggerall = palno = 5
triggerall = command = "y"
triggerall = statetype = A
triggerall = stateno != 415
trigger1 = ctrl
;---------------------------------------------------------------------------
;空中Zセイバー
[State -1, ]
type = ChangeState
value = 410
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = command = "x"
triggerall = statetype = A
triggerall = stateno != 415
trigger1 = ctrl
;---------------------------------------------------------------------------
;ダッシュZセイバー
[State -1, ]
type = ChangeState
value = 430
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = command = "x"
triggerall = statetype = S
trigger1 = stateno = 100
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 1555
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = command = "x"
triggerall = command = "holdup"
triggerall = statetype != A
triggerall = palno != 11
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 100

;---------------------------------------------------------------------------
;しゃがみZセイバー
[State -1, ]
type = ChangeState
value = 409
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = command = "x"
triggerall = statetype = C
trigger1 = ctrl
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
value = 402
triggerall = var(59) = 0
triggerall = palno = 5
triggerall = command = "y"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;Zセイバー
[State -1, ]
type = ChangeState
triggerall = var(59) = 0
value = 400+(4*var(25))
triggerall = palno != [4,6]
triggerall = command = "x"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101

;---------------------------------------------------------------------------
;下突きｽﾞﾄﾞﾝ!
[State -1, ]
type = ChangeState
value = 1560
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = command = "holddown"
triggerall = command = "z"
triggerall = statetype = A
triggerall = stateno != 415
trigger1 = ctrl
;---------------------------------------------------------------------------
;旋墜斬
[State -1, ]
type = ChangeState
value = 1590
triggerall = var(59) = 0
triggerall = palno != [4,6]&&palno!=11
triggerall = command = "holdup"
triggerall = command = "z"
triggerall = statetype = A
triggerall = stateno != 415
trigger1 = ctrl

;---------------------------------------------------------------------------
;三日月斬
[State -1, ]
type = ChangeState
value = 1580
triggerall = var(59) = 0
triggerall = palno != [4,6]&&palno!=11
triggerall = command = "z"
triggerall = statetype = A
triggerall = stateno != 415
trigger1 = ctrl

;---------------------------------------------------------------------------
;斬光輪
[State -1, ]
type = ChangeState
value = 1550
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = command = "holdup"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;疾風
[State -1, ]
type = ChangeState
value = 1530
triggerall = var(53) != [4,6]
triggerall = var(53)!=11
triggerall = var(32)=2
triggerall = command = "z"
triggerall = statetype != A
trigger1 = stateno = 100
;---------------------------------------------------------------------------
;突き
[State -1, ]
type = ChangeState
value = 1540
triggerall = var(53) != [4,6]
triggerall = var(53)!=11
triggerall = var(32)<2
triggerall = command = "z"
triggerall = statetype != A
trigger1 = stateno = 100
;---------------------------------------------------------------------------
;斬光輪
[State -1, ]
type = ChangeState
value = 1510
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = command = "holdfwd"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;光幻刃
[State -1, ]
type = ChangeState
value = 1500
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = command = "holddown"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;雷神撃
[State -1, ]
type = ChangeState
value = 1520
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;滅閃光・改ΩorULT
[State -1, ]
type = ChangeState
value = 1700
triggerall = var(59) = 0
triggerall = palno = 6
triggerall = command = "c"
triggerall = power >= ifelse(palno=12,0,ifelse(palno=10,0,1000))
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 10
trigger4 = stateno = 11
trigger5 = stateno = 12
;---------------------------------------------------------------------------
;雷閃脚
[State -1, ]
type = ChangeState
value = 1610
triggerall = var(59) = 0
triggerall = palno = 6
triggerall = command = "z"
trigger1 = stateno = 100
trigger2 = stateno = 110
;---------------------------------------------------------------------------
;天神脚
[State -1, ]
type = ChangeState
value = 1640
triggerall = var(59) = 0
triggerall = palno = 6
triggerall = command = "holddown"
triggerall = command = "z"
triggerall = statetype = A
triggerall = stateno != 300 && stateno != 420 && stateno != 470
trigger1 = ctrl
;---------------------------------------------------------------------------
;海神昇
[State -1, ]
type = ChangeState
value = 1630
triggerall = var(59) = 0
triggerall = palno = 6
triggerall = command = "z"
triggerall = command = "holdup"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;斬鉄輪
[State -1, ]
type = ChangeState
value = 1620
triggerall = var(59) = 0
triggerall = palno = 6
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;斬鉄輪
[State -1, ]
type = ChangeState
value = 1600
triggerall = var(59) = 0
triggerall = palno = 6
triggerall = command = "z"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 101
;---------------------------------------------------------------------------
;裂光覇typeΩ
[State -1, ]
type = ChangeState
value = 1003
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = palno=10||palno=12
triggerall = command = "omegabeam"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 10
trigger4 = stateno = 11
trigger5 = stateno = 12
;---------------------------------------------------------------------------
;滅閃光・改ΩorULT
[State -1, ]
type = ChangeState
value = 1001
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = palno=10||palno=12
triggerall = command = "holddown"
triggerall = command = "c"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 10
trigger4 = stateno = 11
trigger5 = stateno = 12
;---------------------------------------------------------------------------
;滅閃光・改ΩorULT
[State -1, ]
type = ChangeState
value = 1002
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = palno = 12
triggerall = command = "c"
triggerall = command = "holdfwd"
triggerall = power >= ifelse(palno=12,0,ifelse(palno=10,0,1000))
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 10
trigger4 = stateno = 11
trigger5 = stateno = 12
;---------------------------------------------------------------------------
;滅閃光・改ΩorULT
[State -1, ]
type = ChangeState
value = 1001
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = palno != [8,12]
triggerall = command = "c"
triggerall = power >= ifelse(palno=12,0,ifelse(palno=10,0,1000))
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 10
trigger4 = stateno = 11
trigger5 = stateno = 12
;---------------------------------------------------------------------------
;滅閃光・改ΩorULT
[State -1, ]
type = ChangeState
value = 1000
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = palno = [9,12]
triggerall = command = "c"
triggerall = power >= ifelse(palno=12,0,ifelse(palno=10,0,1000))
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 10
trigger4 = stateno = 11
trigger5 = stateno = 12
;---------------------------------------------------------------------------
;滅閃光・改ΩorULT
[State -1, ]
type = ChangeState
value = 1002
triggerall = var(59) = 0
triggerall = palno != [4,6]
triggerall = palno!=11
triggerall = palno = 8
triggerall = command = "c"
triggerall = power >= ifelse(palno=12,0,ifelse(palno=10,0,1000))
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 20
trigger3 = stateno = 10
trigger4 = stateno = 11
trigger5 = stateno = 12







;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

;===========================================================================
;---------------------------------------------------------------------------
;AI
;---------------------------------------------------------------------------

[State -1, VarSet]
type = VarSet
trigger1 = 1
v = 59
value = 1


[State -1, VarSet]
type = VarSet
trigger1 = Var(59) > 0
trigger2 = IsHomeTeam = 1
trigger2 = TeamSide = 2
trigger3 = IsHomeTeam = 1
trigger3 = MatchNo > 1
ignorehitpause = 1
v = 20
value = -1

[State -1]
type=assertspecial
trigger1=var(59)>0
flag=nowalk
ignorehitpause=1

[State -1, VarRandom];武器属性ランダム用
type = VarRandom
triggerall = RoundState = 2
trigger1 = Var(20) < 0
ignorehitpause = 1
v = 40
range = 0,999

[State -1, VarRandom];近距離AI
type = VarRandom
triggerall = RoundState = 2
trigger1 = Var(20) < 0
ignorehitpause = 1
v = 41
range = 0,999

[State -1, VarRandom];中距離AI
type = VarRandom
triggerall = RoundState = 2
trigger1 = Var(20) < 0
ignorehitpause = 1
v = 42
range = 0,999

[State -1, VarRandom];遠距離AI
type = VarRandom
triggerall = RoundState = 2
trigger1 = Var(20) < 0
ignorehitpause = 1
v = 43
range = 0,999


[State -1, VarRandom];空中orランダム用AI
type = VarRandom
triggerall = RoundState = 2
trigger1 = Var(20) < 0
ignorehitpause = 1
v = 45
range = 0,999
;---------------------------------------------------------------------------
;近距離
;---------------------------------------------------------------------------
;近距離（乱舞）
[State ]
Type=ChangeState
Value=600
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [900,999]

;近距離（裂光覇）
[State ]
Type=ChangeState
Value=1003
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [800,899]

;近距離（真・滅閃光）
[State ]
Type=ChangeState
Value=1002
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [700,799]

;近距離（滅閃光）
[State ]
Type=ChangeState
Value=1001
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [600,699]

;近距離（アースクラッシュ）
[State ]
Type=ChangeState
Value=1000
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [500,599]

;近距離（乱射）
[State ]
Type=ChangeState
Value=1410
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [400,499]

;近距離（幻夢）
[State ]
Type=ChangeState
Value=1430
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [350,399]

;近距離（龍炎刃）
[State ]
Type=ChangeState
Value=1550
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [300,349]

;近距離（斬り付け）
[State ]
Type=ChangeState
Value=1460
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [250,299]

;近距離（斬り付け）
[State ]
Type=ChangeState
Value=450
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [200,249]

;近距離（斬り付け）
[State ]
Type=ChangeState
Value=404
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [150,199]

;近距離（斬り付け）
[State ]
Type=ChangeState
Value=404
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [100,149]

;近距離（ダッシュ）
[State ]
Type=ChangeState
Value=100
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[0,100]
trigger1 = var(41) = [0,99]

;---------------------------------------------------------------------------
;中距離
;---------------------------------------------------------------------------
;中距離（乱舞）
[State ]
Type=ChangeState
Value=600
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [930,999]

;中距離（急襲）
[State ]
Type=ChangeState
Value=70
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [870,929]

;中距離（滅閃光）
[State ]
Type=ChangeState
Value=1002
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [800,869]

;中距離（滅閃光）
[State ]
Type=ChangeState
Value=1001
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [740,799]

;中距離（アースクラッシュ）
[State ]
Type=ChangeState
Value=1000
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [670,739]


;中距離（幻夢）
[State ]
Type=ChangeState
Value=1430
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [600,669]

;中距離（乱射）
[State ]
Type=ChangeState
Value=1410
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [540,599]

;中距離（斬りつけ）
[State ]
Type=ChangeState
Value=1460
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [440,539]

;中距離（バスターコンボ）
[State ]
Type=ChangeState
Value=250
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [360,439]

;中距離（ダッシュ斬り）
[State ]
Type=ChangeState
Value=1510
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [270,359]

;中距離（ワープ）
[State ]
Type=ChangeState
Value=105
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [180,269]

;中距離（ダッシュ）
[State ]
Type=ChangeState
Value=100
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [90,179]

;中距離（ジャンプ）
[State ]
Type=ChangeState
Value=50
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X=[101,200]
trigger1 = var(42) = [0,89]

;---------------------------------------------------------------------------
;遠距離
;---------------------------------------------------------------------------
;遠距離（乱舞）
[State ]
Type=ChangeState
Value=600
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [910,999]

;遠距離（急襲）
[State ]
Type=ChangeState
Value=70
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [800,909]

;遠距離（滅閃光）
[State ]
Type=ChangeState
Value=1001
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [700,799]

;遠距離（幻夢）
[State ]
Type=ChangeState
Value=1430+ifelse(var(40)<500,0,5)
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [600,699]

;遠距離（乱射）
[State ]
Type=ChangeState
Value=1410
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [500,599]

;遠距離（斬りつけ単体）
[State ]
Type=ChangeState
Value=1460
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [390,499]

;遠距離（バスターコンボ）
[State ]
Type=ChangeState
Value=250
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [270,389]

;遠距離（ワープ）
[State ]
Type=ChangeState
Value=105
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [180,269]

;遠距離（ダッシュ接近）
[State ]
Type=ChangeState
Value=100
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [90,179]

;遠距離（ジャンプ）
[State ]
Type=ChangeState
Value=50
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&Ctrl
triggerall=P2Dist X>=200
trigger1 = var(43) = [0,89]

;---------------------------------------------------------------------------
;空中またはダッシュ連携
;---------------------------------------------------------------------------

;氷烈斬
[State ]
Type=ChangeState
Value=1590
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType=A&&(vel y=[-1,1])&&var(13)=1&&stateno=60
trigger1 = var(45) >= 0&&Random < 500
trigger1=P2Dist X>=160

;氷烈斬
[State ]
Type=ChangeState
Value=1560
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType=A&&var(13)=1&&(stateno=60||stateno=110||stateno=111)
trigger1 = var(45) >= 0&&Random < 500
trigger1=P2Dist X=[-40,40]
trigger1=P2Dist Y > 0

;アークブレード
[State ]
Type=ChangeState
Value=1300
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType=A&&(vel y=[-1,1])&&var(13)=1&&stateno=60
trigger1 = var(45) = [660,999]

;エアダッシュ
[State ]
Type=ChangeState
Value=1440
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType=A&&(vel y=[-1,1])&&var(13)=1&&stateno=60
trigger1 = var(45) = [330,659]

;エアダッシュ
[State ]
Type=ChangeState
Value=1420
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType=A&&(vel y=[-1,1])&&var(13)=1&&stateno=60
trigger1 = var(45) = [0,329]

;エアダッシュ
[State ]
Type=ChangeState
Value=110
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType=A&&(vel y=[-1,1])&&var(13)=0&&stateno=50
trigger1 = var(45) = [800,999]

;二段ジャンプ
[State ]
Type=ChangeState
Value=60
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType=A&&(vel y=[-1,1])&&var(13)=0&&stateno=50
trigger1 = var(45) = [0,799]

;龍炎刃（ダッシュ連携）
[State ]
Type=ChangeState
Value=1555
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&(stateno=100||stateno=400)
trigger1=P2Dist X=[0,20]
trigger1 = var(45) = [500,799]

;龍炎刃（ダッシュ連携）
[State ]
Type=ChangeState
Value=1550
triggerall=var(59)>=1&&numenemy&&roundstate=2&&alive
triggerall=StateType!=A&&(stateno=100||stateno=400)
trigger1=P2Dist X=[0,20]
trigger1 = var(45) = [0,499]
